%global git_hash 6e8c1c6

Name:       nodejs-minimatch
Version:    0.0.4
Release:    1%{?dist}
Summary:    JavaScript glob matcher
License:    MIT
URL:        https://github.com/isaacs/minimatch
# download from https://github.com/isaacs/minimatch/tarball/%%{version}
Source0:    isaacs-minimatch-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

Requires:       nodejs-lru-cache

%description
Converts glob expressions to JavaScript "RegExp" objects.

%prep
%setup -q -n isaacs-minimatch-9496fad

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p minimatch.js %{buildroot}%{nodejs_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/minimatch.js
%doc README.md LICENSE
%doc test/

%changelog
* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- initial package
